# Generated from rspeckled-2.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rspeckled

Name: rubygem-%{gem_name}
Version: 2.0.1
Release: 1%{?dist}
Summary: Stop Copying and Pasting Your RSpec Configuration
License: MIT
URL: https://github.com/thekompanee/rspeckled
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Are you copying and pasting your RSpec configurations into each of your
projects like some kind of ANIMAL?  Use Rspeckled to cure your woes.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Wed Sep 15 2021 mockbuilder - 2.0.1-1
- Initial package
